Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding.view
[Java] Class ScaffoldedGroovyPageView

    java.lang.Object
      org.springframework.web.servlet.view.AbstractUrlBasedView
          org.codehaus.groovy.grails.web.servlet.view.GroovyPageView
              org.codehaus.groovy.grails.scaffolding.view.ScaffoldedGroovyPageView

    public class ScaffoldedGroovyPageView
    extends GroovyPageView

A special Spring View for scaffolding that renders an in-memory scaffolded view to the response.

Authors:
  Graeme Rocher

Since:
  0.5

Field Summary

Fields inherited from class GroovyPageView
EXCEPTION_MODEL_KEY

Constructor Summary
`ScaffoldedGroovyPageView(java.lang.String uri, java.lang.String contents)`

Method Summary
`java.lang.String` | `getBeanName()` Used for debug reporting.
`protected void` | `renderWithTemplateEngine(GroovyPagesTemplateEngine templateEngine, java.util.Map model, HttpServletResponse response, HttpServletRequest request)` Overrides the default implementation to render a GSP view using an in-memory representation held in the #contents property.

Methods inherited from class GroovyPageView
createResponseWriter, handleException, renderMergedOutputModel, renderWithTemplateEngine, setTemplateEngine

Constructor Detail

### ScaffoldedGroovyPageView

    public ScaffoldedGroovyPageView(java.lang.String uri, java.lang.String contents)

Method Detail

### getBeanName

    @Override
    public java.lang.String getBeanName()

  Used for debug reporting.
  Returns:
    The URL of the view

### renderWithTemplateEngine

    @SuppressWarnings("rawtypes")
    @Override
    protected void renderWithTemplateEngine(GroovyPagesTemplateEngine templateEngine, java.util.Map model, HttpServletResponse response, HttpServletRequest request)

  Overrides the default implementation to render a GSP view using an in-memory representation held in the #contents property.
  throws:
    IOException Thrown if there was an IO error rendering the view
  Parameters:
    `templateEngine` - The GroovyPagesTemplateEngine instance
    `model` - The model
    `response` - The HttpServletResponse instance

Groovy Documentation